Name:           python-flit
Version:        1.0
Release:        5
Summary:        Simplified packaging of Python modules
License:        BSD and ASL 2.0 and Python
URL:            https://flit.readthedocs.io/en/latest/
Source0:        https://github.com/takluyver/flit/archive/%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel python3-pip python3-requests python3-docutils python3-pygments python3-pytoml

Provides:       bundled(python-tornado)

%description
Flit is a simple way to put Python packages and modules on PyPI.
The specific usage is introduced on the website(https://flit.readthedocs.io/en/latest/), or query README.

%package -n python3-flit
Summary:        Simplified packaging of Python modules
%{?python_provide:%python_provide python3-flit}

Requires:       python3-requests python3-docutils python3-pytoml

%global __requires_exclude ^python3.7dist\\(requests-download\\)

Recommends:     python3-pygments

%description -n python3-flit
Flit is a simple way to put Python packages and modules on PyPI.
The specific usage is introduced on the website(https://flit.readthedocs.io/en/latest/), or query README.

%prep
%autosetup -n flit-%{version}

%build
export FLIT_NO_NETWORK=1
XDG_CACHE_HOME=$PWD/.cache %{__python3} -m flit build --format wheel


%install
%py3_install_wheel flit-%{version}-py3-none-any.whl


%files -n python3-flit
%{python3_sitelib}/*
%{_bindir}/flit
%license LICENSE
%doc README.rst


%changelog
* Thu Nov 21 2019 Wanjiankang <wanjiankang@huawei.com> - 1.0-5
- Package Init
